al_make_directory(3)

NAME

al_make_directory - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_make_directory(const char *path)

DESCRIPTION

Creates a new directory on the filesystem. This function also creates any parent directories as needed.

Returns true on success (including if the directory already exists), otherwise returns false on error. Fills in Allegro's errno to indicate the error.

SEE ALSO

al_get_errno(3)